> For the complete documentation index, see [llms.txt](https://docs.adialab.crunchdao.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adialab.crunchdao.com/participate/known-issues.md).

# Known Issues

## CatBoostError: Can't create train working dir: catboost\_info error

CatBoost create a directory for persisting his state. But the Run does not allow you to create file anywhere.

### Change the train directory to: `/tmp`

*If the state doesn't need to be persisted*, the `/tmp` directory is the way to go.

```python
model.set_params(train_dir='/tmp/catboost_info')
```

### Change the train directory to: `model_directory`

If the state does need to be persisted, store everything inside the `model_directory` as this folder will be reused for the Out-of-Sample phase.

```python
info_path = os.path.join(model_directory, 'catboost_info')
model.set_params(train_dir=info_path)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adialab.crunchdao.com/participate/known-issues.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
